﻿using System;
using System.Collections.Generic;
using System.Net.NetworkInformation;
using System.Windows.Forms;

namespace CShp_MAC
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnMAC1_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            {
                lbResultado.Items.Add(InfoMac.GetEnderecoMAC1());
            }
            catch(Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void btnMAC2_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            { 
                string resultado="";
                PhysicalAddress address = InfoMac.GetEnderecoMAC2();
                byte[] bytes = address.GetAddressBytes();
                for (int i = 0; i < bytes.Length; i++)
                {
                    // exibe o endereço fisico em hexadecimal
                    resultado = resultado + bytes[i].ToString("X2");
                    // insere um hifen depois de cada byte
                    if (i != bytes.Length - 1)
                    {
                        resultado += "-";
                    }
                }
                lbResultado.Items.Add(resultado);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void btnMAC3_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            { 
              lbResultado.Items.Add(InfoMac.GetEnderecoMAC3());
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void btnMAC4_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            { 
                lbResultado.Items.Add(InfoMac.GetEnderecoMAC4());
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void btnMAC5_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            { 
              lbResultado.Items.Add(InfoMac.GetEnderecoMAC5());
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void btnMAC6_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            {
                List<string> enderecos = InfoMac.GetEnderecoMAC6();
                foreach (string endereco in enderecos)
                {
                    lbResultado.Items.Add(endereco);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

      
        private void btnMAC7_Click(object sender, EventArgs e)
        {
            Limpa();
            try
            {
                string[] enderecos = InfoMac.GetEnderecosFisicos();
                foreach (string endereco in enderecos)
                {
                    lbResultado.Items.Add(endereco);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro : " + ex.Message);
            }
        }

        private void Limpa()
        {
            lbResultado.Items.Clear();
        }
    }
}
